Hardware
All operations require authentication.
List OverTheBox hardwareProduction
List OverTheBox hardware. Returns the names of the OverTheBox hardware of the account. Get a hardware for its model, serial and MAC address.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ hardware \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an OverTheBox hardwareProduction
Get an OverTheBox hardware. Returns the name, model, serial and MAC address of a hardware, and whether it can be linked to a service without a device ID.
Path parameters
The internal name of your hardware
Response
True if hardware can be linked to a service without deviceID
IAM resource metadata
Hardware MAC address
Hardware model
Hardware name
The hardware pretty model name
Hardware serial
Example uses hardwareName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ hardware/ {hardwareName} \
-H "authorization: Bearer $OVH_TOKEN"{ "canBeLinkedToService": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "mac": "00:00:5e:00:53:01", "model": "string", "name": "string", "prettyModelName": "string", "serial": "string"}
List the hardware available for a serviceProduction
List the hardware available for a service. Returns the names of the OverTheBox hardware of the account that can be linked to a service.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ hardware/ available \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]